#include <bits/stdc++.h>

using namespace std;

int broj(int a)
 {
     int br = 0 ;
     while(a != 0)
     {
         br++;
         a = a / 10 ;
     }
     return pow(10 , br) ;
 }


int main()
{
    int a , b , c ;
    unsigned long long int rez , rez1 , rez2 , rez3 , rez4 , rez5 , rez6 , a1 , b1 , c1 ;
    cin >> a >> b >> c ;
    a1 = broj(a);
    b1 = broj(b);
    c1 = broj(c);
    rez1 = (a * (b1 * c1) + c * b1 + b);
    rez2 = (a * (b1 * c1) + b * c1 + c);
    rez3 = (b * (a1 * c1) + c * a1 + a);
    rez4 = (b * (a1 * c1) + a * c1 + c);
    rez5 = (c * (b1 * a1) + a * b1 + b);
    rez6 = (c * (b1 * a1) + b * a1 + a);
    rez = max(max(max(max(max(rez1 ,rez2) , rez3) , rez4) , rez5) ,rez6);
    cout << rez << endl;

    return 0;
}